# Quay.io - container image registry

Quay.io is a container image registry with managements APIs, a Docker registry API, a container build system.
The application is implemented as a set of API endpoints written in python and an Angular.js frontend.

## Setup Development Environment

If you are doing local development on your workstation against the code base follow these instructions.

### OS X

```
git clone git@github.com:coreos-inc/quay.git
cd quay
./contrib/osx/local-setup.sh
```

## Running Development Environment

Now run the server; it will use sqlite as the SQL server.

```
./local-run.sh
```

Now quay will be running on: http://127.0.0.1:5000
The username is `devtable` and the password is `password`.
