# Quay.io Roadmap

**work in progress**

### Short Term
- Framework for microservice decomposition
- Improve documentation
  - Ability to answer 80% of tickets with a link to the docs
  - Eliminate old UI screenshots/references
- Auth provider as a service
  - Registry v2 compatible

### Medium Term
- Registry v2 support
  - Forward and backward compatible with registry v1
- Support ACI push spec
  - Translate between ACI and docker images transparently
- Integrate docs with the search bar
  - Full text search?
- Running on top of Tectonic
- BitTorrent distribution support
- Fully launch our API
  - Versioned and backward compatible
  - Adequate documentation

### Long Term
- Become the Tectonic app store
  - Pods/apps as top level concept
- Builds as top level concept
  - Multiple Quay.io repos from a single git push
  - Multi-step builds
    - build artifact
    - bundle artifact
    - test bundle
- Immediately consistent multi-region data availability
  - Cockroach?
- 2 factor auth
  - How to integrate with Docker CLI?